# FileDownloadFinishEvent

interface FileDownloadFinishEvent : FileDownloadProgressEvent, FinishEvent

An event that indicates the completion of a file download.

#### Since

7.3

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
abstract fun getDescriptor(): FileDownloadOperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getResult
Link copied to clipboard
abstract fun getResult(): FileDownloadResult